# AIFileInfo Class Reference

Base class that holds some basic information about AIs and AI libraries. More...

`#include <ai_info.hpp>`

Inheritance diagram for AIFileInfo:

## Static Public Member Functions
static SQInteger | Constructor (HSQUIRRELVM vm, AIFileInfo *info)
| Process the creation of a FileInfo object.
## Protected Attributes
class AIScanner * | base
| AIScanner object that was used to scan this AI (library) info.

## Detailed Description

Base class that holds some basic information about AIs and AI libraries.

Definition at line 52 of file ai_info.hpp.

The documentation for this class was generated from the following files:

- src/ai/ai_info.hpp
- src/ai/ai_info.cpp